<template>
  <ul class="ArticlePreviewList">
    <li
      v-for="(article, index) in articles"
      :key="index"
      class="ArticlePreviewList-item"
    >
      <ArticlePreview
        :title="article.title"
        :date="article.date"
      >
        {{ article.abstract }}
      </ArticlePreview>
    </li>
  </ul>
</template>

<script>
  import ArticlePreview from './07 ArticlePreview'

  export default {
    name: 'ArticlePreviewList',

    components: {
      ArticlePreview
    },

    props: {
      articles: {
        type: Array,
        required: true
      }
    }
  }
</script>

<style scoped>
  .ArticlePreviewList {
    all: initial;
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 15px;
  }

  .ArticlePreviewList-item {
    list-style: none;
  }
</style>
